<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "idp_provision_operation_condition".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "IdpProvisionOperationCondition".
 *
 * Columns in table "idp_provision_operation_condition" available as properties of the model,
 * followed by relations of table "idp_provision_operation_condition" available as properties of the model.
 *
 * @property integer $id
 * @property integer $idp_provision_operation_id
 * @property integer $idp_provision_condition_id
 * @property integer $sort_order
 * @property string $date_added
 *
 * @property IdpProvisionCondition $idpProvisionCondition
 * @property IdpProvisionOperation $idpProvisionOperation
 */
abstract class BaseIdpProvisionOperationCondition extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'idp_provision_operation_condition';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'IdpProvisionOperationCondition|IdpProvisionOperationConditions', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('idp_provision_operation_id, idp_provision_condition_id, sort_order, date_added', 'required'),
            array('idp_provision_operation_id, idp_provision_condition_id, sort_order', 'numerical', 'integerOnly'=>true),
            array('id, idp_provision_operation_id, idp_provision_condition_id, sort_order, date_added', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'idpProvisionCondition' => array(self::BELONGS_TO, 'IdpProvisionCondition', 'idp_provision_condition_id'),
            'idpProvisionOperation' => array(self::BELONGS_TO, 'IdpProvisionOperation', 'idp_provision_operation_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'idp_provision_operation_id' => null,
            'idp_provision_condition_id' => null,
            'sort_order' => Yii::t('app', 'Sort Order'),
            'date_added' => Yii::t('app', 'Date Added'),
            'idpProvisionCondition' => null,
            'idpProvisionOperation' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('idp_provision_operation_id', $this->idp_provision_operation_id);
        $criteria->compare('idp_provision_condition_id', $this->idp_provision_condition_id);
        $criteria->compare('sort_order', $this->sort_order);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
